Page MenuHomePhabricator

Right click on ContentTranslation hovermenu does not work
Open, LowPublic

Description

When you right click on hovermenu on "contributions" in certain browsers (e. g., Firefox), it disappears. So if I want to open a "translation" in a new tab, I can not do that.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterDon't hide the contribution menu on right click

Event Timeline

Sunpriat raised the priority of this task from to Needs Triage.
Sunpriat updated the task description. (Show Details)
Sunpriat added a project: ContentTranslation.
Sunpriat added subscribers: Aklapper, Sunpriat.
santhosh triaged this task as Low priority.Jun 18 2015, 11:19 AM
santhosh added a subscriber: santhosh.

Workaround: Control+Click

Amire80 raised the priority of this task from Low to High.Jun 18 2015, 11:19 AM
Amire80 set Security to None.
Amire80 moved this task from Backlog to Bugs on the ContentTranslation-Release6 board.

Right click works fine in Chrome and Firefox. If you right click in Chrome, the hover menu doesn't disappear. If you right click in Firefox, it disappears, but you still can open the link in a new tab (the hover menu disappears, but the browser context menu is there). I've just checked it in Konqueror, this works there just like in Firefox.

Sunpriat added a comment.EditedJun 18 2015, 7:41 PM

win7, ff 38.0.1, 39.0 - hovermenu disappear and in the context menu that appears no item "Open in new tab"

My version of Firefox is 38.0.1. Hope, all this info will help in some way.

santhosh claimed this task.Jun 19 2015, 5:25 AM

Change 219310 had a related patch set uploaded (by Santhosh):
Don't hide the contribution menu on right click

https://gerrit.wikimedia.org/r/219310

santhosh moved this task from Backlog to In Review on the LE-Sprint-88 board.
Arrbee lowered the priority of this task from High to Medium.Jun 19 2015, 7:10 AM
Arrbee added a subscriber: Arrbee.

Change 219310 abandoned by Santhosh:
Don't hide the contribution menu on right click

Reason:
will do it later

https://gerrit.wikimedia.org/r/219310

santhosh moved this task from In Review to Backlog on the LE-Sprint-88 board.Jun 23 2015, 5:51 AM
Amire80 raised the priority of this task from Medium to High.Jun 23 2015, 8:29 AM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.
santhosh lowered the priority of this task from High to Low.Jun 23 2015, 9:34 AM
Pginer-WMF moved this task from CX6 to CX7 on the ContentTranslation board.Jul 21 2015, 4:19 PM
Amire80 moved this task from CX7 to CX6 on the ContentTranslation board.Jul 29 2015, 10:39 PM
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 2 2015, 3:27 PM
Amire80 renamed this task from Right click on hovermenu does not work to Right click on ContentTranslation hovermenu does not work.Oct 8 2015, 7:20 PM
Amire80 moved this task from CX7 to Bugs on the ContentTranslation board.Oct 19 2015, 6:51 AM
Petar.petkovic closed this task as Resolved.Mar 3 2018, 2:48 AM
Piramidion reopened this task as Open.Mar 3 2018, 10:42 AM
Piramidion updated the task description. (Show Details)

Please read the comments carefully and take into consideration the other browsers as well. It still doesn't work on Firefox, and I installed that browser solely to confirm this.

Please read the comments carefully and take into consideration the other browsers as well. It still doesn't work on Firefox, and I installed that browser solely to confirm this.

Don't uninstall FF now, both are good browsers :) Mouse wheel click works to open in new tab. I know not every device has mousewheel, like touchpads on laptops.

I think it's more likely that hover menu on "Contributions" goes through changes as ContentTranslation goes out of Beta, so this problem becomes obsolete. Let it be open since @Piramidion has updated the description to be true.

I didn't like FF while on Linux - it used to be very slow. On Windows it runs much better, indeed. As for a mouse wheel - I, personally, never use it's click function, and tbh, I didn't even know it can open links in new tabs as well, so thanks for the info.

As for the rest - I hope you're right. That problem doesn't concern me personally, I just want this tool to work as smooth as possible for all the users (and there're quite a lot of them).

Arrbee moved this task from Bugs to Check & Move on the ContentTranslation board.Sep 30 2019, 7:52 AM